=== extern/CMakeLists.txt ===

ADD_SUBDIRECTORY(poshlib)

ADD_SUBDIRECTORY(EtcLib)
ADD_SUBDIRECTORY(rg_etc1_v104)
#ADD_SUBDIRECTORY(etcpack)

ADD_SUBDIRECTORY(libsquish-1.15)

ADD_SUBDIRECTORY(CMP_Core)
