=== extern/rg_etc1_v104/CMakeLists.txt ===

SET(RGETC_SRCS
	rg_etc1.cpp
	rg_etc1.h)

ADD_LIBRARY(rg_etc1 STATIC ${RGETC_SRCS})
