=== debian/changelog ===
nvidia-texture-tools (2.1.2~dfsg-4) unstable; urgency=medium

  * Mark symbols disappearing with lto as optional.
  * Bump Standards-Version to 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Jan 2026 17:23:14 +0100

nvidia-texture-tools (2.1.2~dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Try to fix building for powerpc, x32, loong64 ports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Dec 2025 23:54:38 +0100

nvidia-texture-tools (2.1.2~dfsg-2) experimental; urgency=medium

  * Import patches from Fedora.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Dec 2025 23:27:08 +0100

nvidia-texture-tools (2.1.2~dfsg-1) experimental; urgency=medium

  * Final upstream release.  (Closes: #968938)
  * Exclude more unused bundled external bits.
  * Keep libnvmath as a shared library.
  * Refresh patches.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Nov 2025 09:00:06 +0100
