=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DNVTT_SHARED=1 \

override_dh_installdocs:
	dh_installdocs --link-doc=libnvtt2.1

override_dh_auto_test:
